-- Defines visual properties of uniform materials.

uniform_materials = {
    stone = {
        color = color_from_rgb(96, 96, 96),
        bias = color_from_rgb(0, 0, 4),
        lightspec = 0,
    },
    limestone = {
        color = color_from_rgb(210, 210, 168),
        bias = color_from_rgb(0, 13, 5),
        lightspec = 0,
    },
    marble = {
        color = color_from_rgb(226, 226, 226),
        bias = color_from_rgb(0, 0, 8),
        lightspec = color_from_rgba(0, 0, 0, 255),
        refract = color_from_rgb(0, 50, 0),
    },
    basalt = {
        color = color_from_rgb(32, 32, 32),
        bias = color_from_rgb(0, 0, 10),
        lightspec = color_from_rgba(0, 0, 0, 255),
    },
    granite = {
        color = color_from_rgb(179, 151, 168),
        bias = color_from_rgb(26, 13, 51),
        lightspec = 0,
    },
    emerald = {
        color = color_from_rgba(77, 255, 77, 242),
        bias = color_from_rgb(1, 0, 54),
        lightspec = 0,
        refract = color_from_rgb(0, 39, 77),
    },
    coal = {
        color = color_from_rgb(33, 33, 33),
        bias = color_from_rgb(0, 0, 5),
        lightspec = 0,
    },
}